using System;

namespace InABox.Logikal
{
    public class LogikalElevationResponse<TFinish, TProfile, TComponent, TGlass, TLabour> 
        : AbstractLogikalPartsResponse<TFinish, TProfile, TComponent, TGlass, TLabour>, ILogikalElevation
        where TFinish : ILogikalFinish
        where TProfile : ILogikalProfile
        where TComponent : ILogikalComponent
        where TGlass : ILogikalGlass
        where TLabour : ILogikalLabour
    {

        public override LogikalMethod Method() => LogikalMethod.Elevation;

        public Guid ID { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public string Size { get; set; }

        public byte[] Thumbnail { get; set; }

        public byte[] Drawing { get; set; }
    }


}